extern WaveformFileReader wf_raw, wf_riffwav, wf_voc, wf_au, wf_vorbis, wf_flac, wf_mod, wf_mpeg;
extern MidiFileReader mf_mid;

static struct {
	SoundFileReader *reader;
	char inited;
} filereaders[] = {
	// note no raw in here. it's handled specially
	{ (SoundFileReader*) &wf_riffwav, 0 },
	{ (SoundFileReader*) &wf_voc,     0 },
	{ (SoundFileReader*) &wf_au,      0 },
	{ (SoundFileReader*) &wf_vorbis,  0 },
	{ (SoundFileReader*) &wf_flac,    0 },
	{ (SoundFileReader*) &mf_mid,     0 },
	{ (SoundFileReader*) &wf_mpeg,    0 },
	{ (SoundFileReader*) &wf_mod,     0 },
};

